.mergely-column textarea {
	width: 80px;
	height: 200px
}

.mergely-column {
	float: left;
	border: 1px solid #d8d8d8;
	border-radius: 4px;
	overflow: hidden;
	background: #fff;
	box-sizing: border-box;
}

.mergely-active {
	border: 1px solid #d8d8d8;
}

.mergely-margin {
	float: left;
	/* width: 0px !important; */
	opacity:0;
}

.mergely-canvas {
	float: left;
	width: 28px
}

.mergely-resizer {
	width: 100%;
	height: 100%
}

.mergely-full-screen-0 {
	position: absolute;
	top: 38px;
	bottom: 0;
	left: 0;
	right: 0;
	overflow: hidden;
	overflow-x: none;
	/* width: 98vw; */
}

html,
body.whole-container {
    height: 100%;
    margin: 0;
}

#wrapper {
    display: flex;
    flex-direction: column;
    height: 100%;
    box-sizing: border-box;
}

#wrapper > div:first-child {
    flex-shrink: 0;
}

.outer {
    position: relative;
    width: 100%;
    flex: 1;
    min-height: 0;
    height: auto;
}


.mergely-full-screen-8 {
	position: absolute;
	top: 60px;
	bottom: 8px;
	left: 8px;
	right: 8px;
	overflow: hidden
}


.mergely-min-full-screen-8 {
	position: absolute;
	top: 28px;
	top: 8px;
	bottom: 8px;
	left: -6px;
	right: -6px;
	overflow: hidden
}

.mergely-half-screen {
	position: absolute;
	/* top: 60px; */
	width: 100%;
	height: 100%;
	/* bottom: 8px; */
	overflow: hidden
}

.mergely.a,
.mergely.c,
.mergely.d {
	color: #000
}

.mergely.a.rhs.start {
	border-top: 1px solid #a3d1ff
}

.mergely.a.lhs.start.end,
.mergely.a.rhs.end {
	border-bottom: 1px solid #a3d1ff
}

.mergely.a.rhs {
	background-color: #def
	/* background-color: red; */
}

.mergely.a.lhs.start.end.first {
	border-bottom-width: 0;
	border-top: 1px solid #a3d1ff
}

.mergely.d.lhs {
	background-color: #ffe9e9
}

.mergely.d.lhs.end,
.mergely.d.rhs.start.end {
	border-bottom: 1px solid #f8e8e8
}

.mergely.d.rhs.start.end.first {
	border-bottom-width: 0;
	border-top: 1px solid #f8e8e8
}

.mergely.d.lhs.start {
	border-top: 1px solid #f8e8e8
}

.mergely.c.lhs,
.mergely.c.rhs {
    background-color: #fff;
}

.mergely.c.lhs.start,
.mergely.c.rhs.start {
	border-top: 1px solid #a3a3a3
}

.mergely.c.lhs.end,
.mergely.c.rhs.end {
	border-bottom: 1px solid #a3a3a3
}

.mergely.ch.a.rhs {
	background-color: #def
}

.mergely.ch.d.lhs {
	background-color: #ffe9e9;
	/* text-decoration: line-through; */
	color: red !important
}

.mergely.current.start {
	border-top: 1px solid #000 !important
}

.mergely.current.end {
	border-bottom: 1px solid #000 !important
}

.mergely.current.lhs.a.start.end,
.mergely.current.rhs.d.start.end {
	border-top-width: 0 !important
}

.mergely.current.lhs.a.start.end.empty,
.mergely.current.rhs.d.start.end.empty {
	border-top-width: 1px !important;
	border-bottom-width: 0 !important
}

.mergely.current.CodeMirror-linenumber {
	color: #f9f9f9;
	font-weight: 700;
	background-color: #777
}

.CodeMirror-linenumber {
	cursor: pointer;
	color: #999;
}

.CodeMirror-code {
	color: #444;
	font-size: 14px;
	line-height: 22px;
}

.CodeMirror-gutters {
	border-right: 1px solid #ddd !important;
	background: #f6f6f6 !important;
}

span.CodeMirror-selectedtext {
	background: 0 0 !important
}
